aboutsummaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure53
1 files changed, 1 insertions, 52 deletions
diff --git a/configure b/configure
index 30b0bed5..b404fb17 100755
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
#!/bin/sh
OPTS=`getopt -o "h" --long \
-help,fetch-only,no-debug,disable-fast-vapi,with-tests,release,with-libsignal-in-tree,with-libsoup3,\
+help,fetch-only,no-debug,disable-fast-vapi,with-tests,release,with-libsoup3,\
enable-plugin:,disable-plugin:,\
prefix:,program-prefix:,exec-prefix:,lib-suffix:,\
bindir:,libdir:,includedir:,datadir:,\
@@ -15,13 +15,11 @@ eval set -- "$OPTS"
PREFIX=${PREFIX:-/usr/local}
ENABLED_PLUGINS=
DISABLED_PLUGINS=
-BUILD_LIBSIGNAL_IN_TREE=
BUILD_TESTS=
BUILD_TYPE=Debug
DISABLE_FAST_VAPI=
LIB_SUFFIX=
NO_DEBUG=
-FETCH_ONLY=
USE_SOUP3=
EXEC_PREFIX=
@@ -55,8 +53,6 @@ Configuration:
without network access later and exit.
--no-debug Build without debug symbols
--release Configure to build an optimized release version
- --with-libsignal-in-tree Build libsignal-protocol-c in tree and link it
- statically.
--with-libsoup3 Build with libsoup-3.0
--with-tests Also build tests.
@@ -112,11 +108,9 @@ while true; do
--valac ) VALA_EXECUTABLE="$2"; shift; shift ;;
--valac-flags ) VALAC_FLAGS="$2"; shift; shift ;;
--lib-suffix ) LIB_SUFFIX="$2"; shift; shift ;;
- --with-libsignal-in-tree ) BUILD_LIBSIGNAL_IN_TREE=yes; shift ;;
--with-libsoup3 ) USE_SOUP3=yes; shift ;;
--disable-fast-vapi ) DISABLE_FAST_VAPI=yes; shift ;;
--no-debug ) NO_DEBUG=yes; shift ;;
- --fetch-only ) FETCH_ONLY=yes; shift ;;
--release ) BUILD_TYPE=RelWithDebInfo; shift ;;
--with-tests ) BUILD_TESTS=yes; shift ;;
# Autotools paths
@@ -141,50 +135,6 @@ while true; do
esac
done
-if [ "$BUILD_LIBSIGNAL_IN_TREE" = "yes" ] || [ "$FETCH_ONLY" = "yes" ]; then
- if [ -d ".git" ]; then
- git submodule update --init 2>/dev/null
- else
- tmp=0
- for i in $(cat .gitmodules | grep -n submodule | awk -F ':' '{print $1}') $(wc -l .gitmodules | awk '{print $1}'); do
- if ! [ $tmp -eq 0 ]; then
- name=$(cat .gitmodules | head -n $tmp | tail -n 1 | awk -F '"' '{print $2}')
- def=$(cat .gitmodules | head -n $i | tail -n $(expr "$i" - "$tmp") | awk -F ' ' '{print $1 $2 $3}')
- path=$(echo "$def" | grep '^path=' | awk -F '=' '{print $2}')
- url=$(echo "$def" | grep '^url=' | awk -F '=' '{print $2}')
- branch=$(echo "$def" | grep '^branch=' | awk -F '=' '{print $2}')
-
- if ! ls "$path"/* >/dev/null 2>/dev/null; then
- git=$(which git)
- if ! [ $? -eq 0 ] || ! [ -x $git ]; then
- echo "Failed retrieving missing files"
- exit 5
- fi
- res=$(git clone "$url" "$path" 2>&1)
- if ! [ $? -eq 0 ] || ! [ -d $path ]; then
- echo "Failed retrieving missing files: $res"
- exit 5
- fi
- if [ -n "$branch" ]; then
- olddir="$(pwd)"
- cd "$path"
- res=$(git checkout "$branch" 2>&1)
- if ! [ $? -eq 0 ]; then
- echo "Failed retrieving missing files: $res"
- exit 5
- fi
- cd "$olddir"
- fi
- echo "Submodule path '$path': checked out '$branch' (via git clone)"
- fi
- fi
- tmp=$i
- done
- fi
-fi
-
-if [ "$FETCH_ONLY" = "yes" ]; then exit 0; fi
-
if [ ! -x "$(which cmake 2>/dev/null)" ]
then
echo "-!- CMake required."
@@ -258,7 +208,6 @@ cmake -G "$cmake_type" \
-DENABLED_PLUGINS="$ENABLED_PLUGINS" \
-DDISABLED_PLUGINS="$DISABLED_PLUGINS" \
-DBUILD_TESTS="$BUILD_TESTS" \
- -DBUILD_LIBSIGNAL_IN_TREE="$BUILD_LIBSIGNAL_IN_TREE" \
-DUSE_SOUP3="$USE_SOUP3" \
-DVALA_EXECUTABLE="$VALAC" \
-DCMAKE_VALA_FLAGS="$VALACFLAGS" \